%define httpd_group apache
%define httpd_user monitor

Summary: OP5 Monitor Product Config
Name: op5-monitor-product-config
Version: %{op5version}
Release: %{op5release}%{?dist}
BuildArch: noarch
License: GPLv2+
Group: Applications/System
URL: http://www.op5.com
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: op5-monitor-user
Requires: monitor-ninja
Requires: monitor-http-api
BuildRequires: php
BuildRequires: monitor-ninja-devel


%description
Provides OP5 Monitor configuration interface for initial configuration of the
product. This includes setup of the administrator user and snmpd user.


%package devel
Summary: OP5 Monitor product configuration development package
Group: Applications/System
Requires: gcc
Requires: phantomjs
Requires: php-phpunit-PHPUnit
Requires: monitor-ninja-test
%if 0%{?rhel} <= 6
Requires: ruby20
Requires: ruby20-devel
%else
Requires: ruby
Requires: ruby-devel
%endif


%description devel
Tests that the configuration interface is accessible and creates appropriate
configuration.


%prep
%setup -q


%build
make


%install
rm --recursive --force %{buildroot}
mkdir --parents --mode 755 %{buildroot}%{prefix}/modules/
cp --recursive ./setup %{buildroot}%{prefix}/modules/setup
install --directory %buildroot/etc/sudoers.d
install --preserve-timestamps --mode 0440 op5snmp.sudo %buildroot/etc/sudoers.d/op5snmp


%clean
rm --recursive --force %{buildroot}


%files
%defattr(444,%httpd_user,%httpd_group,755)
%doc README.md
%dir %{prefix}/modules/setup
%{prefix}/modules/setup/*
%attr(440,root,root) /etc/sudoers.d/op5snmp


%files devel
%defattr(444,%httpd_user,%httpd_group,755)
%doc README.md


%changelog
* Tue May 16 2017 Robin Hagman <rhagman@op5.com> 0.0.0-p0.g000000.20170519161515
- Initial RPM release
